*
*  
*
*
#include main.h

Parameters m.RefCustID, m.RefCustName

m.alias=Sys(2015)

USE Dbf("Customer") Again In 0 Alias (m.alias)
Select (m.alias)
Set Order To Tag NAME

Local x
x=CreateObject("getCustForm")
With x
	
	.Show(1)
	
EndWith

USE in (m.alias)

Procedure CustFile(m.bar)
Local o, m.CustID
o=NewObject("Customer","Customer.PRG")
With o
	.Transient=.T.

	DO case
	Case m.Bar=1
		o.new()
	Case m.Bar=2
		m.CustID=CUSTID
		Select CUSTOMER
		Locate for CustID=m.CustID
		If Found()
			o.Open()
		EndIf		
	EndCase

EndWith


Define Class GetCustForm as MyView of View.PRG
*	DeskTop=.T.
	Caption=' '
	WindowType= 1
	ClsID="CustView.1"
	Popup=""
	
		
	Procedure Init
	With this
		DoDefault()
		With .Grid
			Select (m.alias)
			.RecordSource=m.alias
			.AddColumn(1,'(ShortName)','',2,"shortname")
			.AddColumn(2,'(Name)','',3,"name")
			.AddColumn(3,'(Address)','',3)
			.AddColumn(4,'(Phones)','',3)
			.Columns[1].Width=100
			.Columns[2].Width=200
			.Columns[3].Width=200
			.Columns[4].Width=200
		EndWith

		.Popup=Sys(2015)

		*-- Define Window HotKeys
		
		Define Popup (.Popup) margin relative 
		Define Bar 1 of (.Popup) Prompt "" Key F2,"F2" picture IMG_NEW
		Define Bar 2 of (.Popup) Prompt "" Key F3,"F3" picture IMG_OPEN

*!*			On Selection Bar 1 of (.Popup) 
*!*			On Selection Bar 2 of (.Popup) 
		
		.RestoreView()
		.ReSize()
		Aspect(this)

		.Top=0
		.Width=_screen.Width-100
		.Left=(_screen.Width-.Width)/2
		.Height=_screen.Height-20
		.AutoCenter=.T.

		If not Empty(m.RefCustID)
			Locate for CustID=m.RefCustID
		EndIf

	EndWith

	Procedure OpenOnEnter
	With this
		m.RefCustID=CUSTID
		m.RefCustName=NAME
		.Close()
	EndWith

	Procedure Destroy
	With this
		DoDefault()
		If Popup(.Popup)
			Release Popup (.Popup) Extended
		EndIf
	EndWith
	

EndDefine



