*:********************************************************************
*:
*: Procedure file :common.prg
*:
*: (c) Piva, BEAR v.43 on 15.05.2003 10:04
*:********************************************************************
****************************************************************
*
*    
*
*
*   .. 1999
* 06.04.1999 23:16
*
****************************************************************

#include Include/Main.h

* NewID *************************************************
*      
*     
*
* ()  ..
***********************************************************
*:********************************************************************
*:
*: Procedure : NewID
*:
*:********************************************************************
Procedure NewID (cField, cAlias)
Local m.OldDeleteSet
Local Array tmp[1]
m.OldDeleteSet=Set("DELETE")
Set Delete Off				&& Maximal perfomance for VFP 6 SQL
Select Max(&cField) From (cAlias) Into Array tmp
Set Delete &OldDeleteSet
Return Iif(_Tally=0,1,tmp[1]+1)

*------------------------------------------------------------
*   : UnUse
*     : 14.8.1997 21:44
*  : Use in
*------------------------------------------------------------
*:********************************************************************
*:
*: Procedure : UnUse
*:
*:********************************************************************
Procedure UnUse
Lparameters	m.alias1,;
	m.alias2,;
	m.alias3,;
	m.alias4,;
	m.alias5,;
	m.alias6,;
	m.alias7,;
	m.alias8,;
	m.alias9
Local k, m.alias
k=PCOUNT()
Do Case
Case k=1
	Use In (Select(m.alias1))
Case k>1
	For i=1 To k
		m.alias=Eval('m.alias'+Str(i,1))
		Use In (m.alias)
	Next
Endcase
* End of UnUse

*------------------------------------------------------------
*   : MyLock
*     : 17.10.1996 0:53
*  :      
*            :
*------------------------------------------------------------
*:********************************************************************
*:
*: Procedure : MyLock
*:
*:********************************************************************
Procedure MyLock
Lparameters	m.alias1,;
	m.alias2,;
	m.alias3,;
	m.alias4,;
	m.alias5,;
	m.alias6,;
	m.alias7,;
	m.alias8,;
	m.alias9

Local i, k, j, l, m.alias, m.flag, als, m.PCOUNT
Declare als[9]                     	&&   
j=0
m.flag=.T.							&&  
m.PCOUNT=PCOUNT()
m.alias = Iif(m.PCOUNT=0,Alias(),m.alias1)
k= Iif( m.PCOUNT=0,1 ,m.PCOUNT)		&&  
If k = 1                           	&&     
	If Empty(m.alias)
		Return .T.
	Endif
	If Used(m.alias) And Flock(m.alias)    &&     
	Else
		m.flag=.F.
		Unlock In (m.alias)       &&   
	Endif
Else
	For i=1 To k                   &&   
		m.alias=Eval('m.alias'+Str(i,1))&&   
		m.flag=Used(m.alias) And Flock(m.alias)   &&    
		If Not m.flag                &&       
			If j > 0               &&    
				For l=1 To j
					Unlock In (als[l])
				Next
			Endif
			Exit                   &&   
		Else
			j=j+1                  &&    
			als[j]=m.alias         &&    
		Endif
	Next
Endif
If Not m.flag                        &&     - 
	Messagebox('    "'+m.alias+'".     .';
		,16;
		,'  "'+m.alias+'"')
Endif
Return (m.flag)

*------------------------------------------------------------
*   : MyUnLock
*     : 17.10.1996 0:57
*  :  
*------------------------------------------------------------
*:********************************************************************
*:
*: Procedure : MyUnLock
*:
*:********************************************************************
Procedure MyUnLock
Lparameters	m.alias1,;
	m.alias2,;
	m.alias3,;
	m.alias4,;
	m.alias5,;
	m.alias6,;
	m.alias7,;
	m.alias8,;
	m.alias9

Local i, k, m.alias, F
m.alias = Iif(PCount()=0,Alias(),m.alias1)
k= Iif( Pcount()=0,1 ,PCount())
If k=1
	If Used(m.alias)
		Unlock In (m.alias)
	Endif
Else
	For i=1 To k
		m.alias=Eval('m.alias'+Str(i,1))
		If Used(m.alias)
			Unlock In (m.alias)
		Endif
	Next
Endif


*:********************************************************************
*:
*: Procedure : IsObject
*:
*:********************************************************************
Procedure IsObject
Lparameter oReference
Return (Type('oReference')='O' And Not Isnull(oReference))

*:********************************************************************
*:
*: Procedure : IsCObject
*:
*:********************************************************************
Procedure IsCObject
Lparameter cObject
Return (Type(cObject)='O' And Not Isnull(Eval(cObject)))

* Num ******************************************************
* return alltrimed string of number
* format : NUM(12345.67,2)
*     or : NUM(12345)
************************************************************
*:********************************************************************
*:
*: Procedure : Num
*:
*:********************************************************************
Procedure Num
Parameter m.number, m.decimals
m.decimals=Iif(Parameters()=1 Or Type('m.decimals')#'N',0,m.decimals)
Return Alltrim(Str(m.number,20,m.decimals))

* MBox *****************************************************
* Same as MessageBox but have _SCREEN.CAPTION in TITLE
* And more short in Writes ...
*
************************************************************
*:********************************************************************
*:
*: Procedure : MBox
*:
*:********************************************************************
Procedure MBox( m.cText, m.nType, m.cTitle)
m.cType=Iif(Type('m.cText')#'C' Or Empty(m.cText),"",m.cText)
m.nType=Iif(Type('m.nType')#'N',0,m.nType)
m.cTitle=Iif(Type('m.cTitle')#'C' Or Empty(m.cTitle),_Screen.Caption, m.cTitle)
Return Messagebox(m.cText, m.nType, m.cTitle)

* Notify ***************************************************
*    StatusBar  Wait Window
*      
*
************************************************************
*:********************************************************************
*:
*: Procedure : Notify
*:
*:********************************************************************
Procedure Notify( m.cText )
If Empty(m.cText)
	m.cText=" "
Endif
If Vartype(m.cText)=T_CHARACTER
	If Set('status bar')='ON'
		Application.StatusBar=m.cText
	Else
		Wait Window Nowait m.cText
	Endif
Endif

* Blank  ***************************************************
*      
*      
*
*!*	#DEFINE T_CHARACTER     "C"
*!*	#DEFINE T_NUMERIC       "N"
*!*	#DEFINE T_DOUBLE        "B"
*!*	#DEFINE T_DATE          "D"
*!*	#DEFINE T_DATETIME      "T"
*!*	#DEFINE T_MEMO          "M"
*!*	#DEFINE T_GENERAL       "G"
*!*	#DEFINE T_OBJECT        "O"
*!*	#DEFINE T_SCREEN        "S"
*!*	#DEFINE T_LOGICAL       "L"
*!*	#DEFINE T_CURRENCY      "Y"
*!*	#DEFINE T_UNDEFINED     "U"
************************************************************
*:********************************************************************
*:
*: Function : Blank
*:
*:********************************************************************
Function Blank( m.dummy )
Do Case
Case Vartype(m.dummy)=T_CHARACTER
	Return Space(Len(m.dummy))
Case Vartype(m.dummy)=T_NUMERIC
	Return 0
Case Vartype(m.dummy)=T_DOUBLE
	Return 0
Case Vartype(m.dummy)=T_DATE
	Return {..}
Case Vartype(m.dummy)=T_DATETIME
	Return {.. ::}
Case Vartype(m.dummy)=T_MEMO
	Return ""
Case Vartype(m.dummy)=T_GENERAL
	Return .Null.
Case Vartype(m.dummy)=T_OBJECT
	Return .Null.
Case Vartype(m.dummy)=T_SCREEN
	Return .Null.
Case Vartype(m.dummy)=T_LOGICAL
	Return .F.
Case Vartype(m.dummy)=T_CURRENCY
	Return $0
Case Vartype(m.dummy)=T_UNDEFINED
	Return .Null.
Endcase
Return .Null.

* WindowsDir ***********************************************
*   Windows
*
************************************************************
*:********************************************************************
*:
*: Function : WindowsDir
*:
*:********************************************************************
Function WindowsDir

Declare Integer GetWindowsDirectory In Win32Api ;
	string @ cBuffer ,;
	integer nBufferLen ;
	

Local Buff, i
Buff=Space(255)
i=GetWindowsDirectory(@Buff,Len(Buff))
If i > 0
	Return Addbs(Left(Buff,i))
Endif
Return ""

* WindowsSystemDir *****************************************
*    Windows
*
************************************************************
*:********************************************************************
*:
*: Function : WindowsSystemDir
*:
*:********************************************************************
Function WindowsSystemDir

Declare Integer GetSystemDirectory In Win32Api ;
	string @ cBuffer ,;
	integer nBufferLen ;
	
Local Buff, i
Buff=Space(255)
i=GetSystemDirectory(@Buff,Len(Buff))
If i > 0
	Return Addbs(Left(Buff,i))
Endif
Return ""

* TempDir *****************************************
*    
*
************************************************************
*:********************************************************************
*:
*: Function : TempDir
*:
*:********************************************************************
Function TempDir
Return Addbs(Sys(2023))

*:********************************************************************
*:
*: Procedure : GetUserName
*:
*:********************************************************************
Procedure GetUserName
Return Getwordnum(Id(),2,' #')

*:********************************************************************
*:
*: Procedure : GetComputerName
*:
*:********************************************************************
Procedure GetComputerName
Return Getwordnum(Id(),1,' #')

* GetNetName *****************************************
*      
*
************************************************************
*:********************************************************************
*:
*: Function : GetNetName
*:
*:********************************************************************
Function GetNetName( tcPath )
If Vartype(tcPath)='C'
	If Left(tcPath,2)='\\'
		If Not Substr(tcPath,3) = '\'
			Do Case
			Case Occur('\',tcPath) > 3
				If Not Substr(tcPath,1,Atc('\',tcPath,3)+1) # '\'
					Return Substr(tcPath,1,Atc('\',tcPath,4)-1)
				Endif
			Case Occur('\',tcPath) = 3
				If Not Right(tcPath,1)='\'
					Return tcPath
				Endif
			Endcase
		Endif
	Else
		If Like('?:',Left(tcPath,2))
			Return Justdrive(tcPath)
		Endif
	Endif
Endif
Return ""

* GetSrvName *****************************************
*      
*
************************************************************
*:********************************************************************
*:
*: Function : GetServerName
*:
*:********************************************************************
Function GetServerName( tcPath )
If Vartype(tcPath)='C'
	If Left(tcPath,2)='\\'
		If Not Substr(tcPath,3) = '\'
			Do Case
			Case Occur('\',tcPath) > 3
				If Not Substr(tcPath,1,Atc('\',tcPath,3)+1) # '\'
					Return Substr(tcPath,1,Atc('\',tcPath,4)-1)
				Endif
			Case Occur('\',tcPath) = 3
				If Not Right(tcPath,1)='\'
					Return tcPath
				Endif
			Endcase
		Endif
	Else
		If Like('?:',Left(tcPath,2))
			Return Justdrive(tcPath)
		Endif
	Endif
Endif
Return ""


* SetNetName *****************************************
*   
*
************************************************************
*:********************************************************************
*:
*: Procedure : SetNetName
*:
*:********************************************************************
Procedure SetNetName( m.tcNetFileName )
Local m.cNetName, m.cServer, m.cPassword, m.nNetError
m.cNetName=Upper(GetNetName( m.tcNetFileName ))
If Not Empty( m.cNetName )
	m.cServer=Substr(m.cNetName,1,At("\",m.cNetName,3)-1)
	If Anetresource(tmp,m.cServer,1) = 0
		Messagebox(" "+m.cServer+"  .",16,_Screen.Caption)
		Return .F.
	Endif
	
	Declare Long WNetAddConnectionA In MPR.Dll ;
		string lpszRemoteName ,;
		string lpszPassword ,;
		string lpszLocalName
	
	
	m.nNetError=WNetAddConnectionA( m.cNetName, m.cPassword, 0)
	
	Do Case
	Case m.nNetError=5
		Messagebox("    "+m.cNetName,16,_Screen.Caption)
		
	Case m.nNetError=67
		Messagebox("   "+m.cNetName,16,_Screen.Caption)
		
	Case m.nNetError=86
		Messagebox("      "+m.cNetName,16,_Screen.Caption)
		
	Other
		Return .T.
	Endcase
Endif
Return .F.



*:********************************************************************
*:
*: Procedure : fString
*:
*:********************************************************************
Procedure fString
* (c) Piva, 1997
*
* Purpose :	Format string like C/C++
* Example : fstring("Example using parameters %1 and %2","one","two")
*			Example using parameters one and two
*
* Note    : You can use parameters with "C","D","L","N" types or
*			add new types as you want
*
**********************************************************************
Lparameter m.str,;
	m.p1,;
	m.p2,;
	m.p3,;
	m.p4,;
	m.p5,;
	m.p6,;
	m.p7,;
	m.p8,;
	m.p9

Local m.sstr, i, j, k, c, T, s
k=PCOUNT()

m.sstr=m.str			&& Prevent of passing by refrence
For i=2 To k			&& Cause m.str is 1 parameter
	j=Str(i-1,1)		&& Exclude 1 parameter
	c=Eval('m.p'+j)		&& Evaluate parameter number
	s=ToStr(c)
	m.sstr=Strtran(m.sstr,'%'+j,s)	&& translater %n signs to converted string
Next
Return m.sstr

*:********************************************************************
*:
*: Procedure : EOM
*:
*:********************************************************************
Procedure EOM
*
* End Of Month
*
Lparameter xDate
xDate=Iif(Empty(xDate),Date(),xDate)
If Type('xDate')='C'
	xDate=Ctod(xDate)
Endif

If Vartype(xDate)='T'
	Return Dtot(Gomonth(Ttod(xDate),1)-Day(Gomonth(Ttod(xDate),1)))+24*60*60-1
Else
	Return (Gomonth(xDate,1)-Day(Gomonth(xDate,1)))
Endif

*:********************************************************************
*:
*: Procedure : BOM
*:
*:********************************************************************
Procedure BOM
*
* Begin of Month
*
Lparameter xDate
xDate=Iif(Empty(xDate),Date(),xDate)
If Type('xDate')='C'
	xDate=Ctod(xDate)
Endif
If Vartype(xDate)='T'
	Return Dtot((Ttod(xDate)-Day(Ttod(xDate))+1))
Else
	Return (xDate-Day(xDate)+1)
Endif

*:********************************************************************
*:
*: Procedure : BOY
*:
*:********************************************************************
Procedure BOY
*
* Begin of Year
*
Lparameter xDate
If Vartype(xDate)='T'
	xDate=Ttod(xDate)
Endif
Return Ttod(Datetime(Year(xDate),1,1))

*:********************************************************************
*:
*: Procedure : EOY
*:
*:********************************************************************
Procedure EOY
*
* End of Year
*
Lparameter xDate
If Vartype(xDate)='T'
	xDate=Ttod(xDate)
Endif
Return Ttod(Datetime(Year(xDate),12,31))

*:********************************************************************
*:
*: Procedure : BOW
*:
*:********************************************************************
Procedure BOW
*
* Begin of Week
*
Lparameter xDate
xDate=Iif(Empty(xDate),Date(),xDate)
Return xDate-Dow(xDate,2)+1

*:********************************************************************
*:
*: Procedure : EOW
*:
*:********************************************************************
Procedure EOW
*
* End of Week
*
Lparameter xDate
xDate=Iif(Empty(xDate),Date(),xDate)
Return xDate-Dow(xDate,2)+1+7

*:********************************************************************
*:
*: Procedure : NtoC
*:
*:********************************************************************
Procedure NtoC(nSumma,n_mode)
* from fido.visual.foxpro.ru by Michael Drozdov
Local cSumma As String, nMode As Integer

nSumma=Iif(Empty(nSumma),0,nSumma)
n_mode=Iif(Type("n_mode")="N",n_mode,0)
nMode=0
nMode=Iif(nSumma<1 And n_mode=1,1,nMode)
nMode=Iif(Mod(nSumma,1)=0 And n_mode=2,2,nMode)
nMode=Iif(Mod(nSumma,1)=0 And n_mode=3,3,nMode)
nMode=Iif(n_mode=4,4,nMode)
nSumma=Iif(nMode=4,Int(nSumma),nSumma)

cSumma = Transform(m.nSumma*100,'@L 9c9d9eT9c9d9eM9c9d9em9c9d9et9c9d9e~99')+Iif(nMode>1,'','k')

cSumma = Strtran(m.cSumma, '0c0d0et', '')
cSumma = Strtran(m.cSumma, '0c0d0em', '')
cSumma = Strtran(m.cSumma, '0c0d0eM', '')
cSumma = Strtran(m.cSumma, '0c0d0eT', '')

cSumma = Strtran(m.cSumma, '0c', '')
cSumma = Strtran(m.cSumma, '1c', ' ')
cSumma = Strtran(m.cSumma, '2c', ' ')
cSumma = Strtran(m.cSumma, '3c', ' ')
cSumma = Strtran(m.cSumma, '4c', ' ')
cSumma = Strtran(m.cSumma, '5c', ' ')
cSumma = Strtran(m.cSumma, '6c', ' ')
cSumma = Strtran(m.cSumma, '7c', ' ')
cSumma = Strtran(m.cSumma, '8c', ' ')
cSumma = Strtran(m.cSumma, '9c', ' ')

cSumma = Strtran(m.cSumma, '1d0e', ' ')
cSumma = Strtran(m.cSumma, '1d1e', ' ')
cSumma = Strtran(m.cSumma, '1d2e', ' ')
cSumma = Strtran(m.cSumma, '1d3e', ' ')
cSumma = Strtran(m.cSumma, '1d4e', ' ')
cSumma = Strtran(m.cSumma, '1d5e', ' ')
cSumma = Strtran(m.cSumma, '1d6e', ' ')
cSumma = Strtran(m.cSumma, '1d7e', ' ')
cSumma = Strtran(m.cSumma, '1d8e', ' ')
cSumma = Strtran(m.cSumma, '1d9e', ' ')

cSumma = Strtran(m.cSumma, '0d', '')
cSumma = Strtran(m.cSumma, '2d', ' ')
cSumma = Strtran(m.cSumma, '3d', ' ')
cSumma = Strtran(m.cSumma, '4d', ' ')
cSumma = Strtran(m.cSumma, '5d', ' ')
cSumma = Strtran(m.cSumma, '6d', ' ')
cSumma = Strtran(m.cSumma, '7d', ' ')
cSumma = Strtran(m.cSumma, '8d', ' ')
cSumma = Strtran(m.cSumma, '9d', ' ')

cSumma = Strtran(m.cSumma, '5e', ' ')
cSumma = Strtran(m.cSumma, '6e', ' ')
cSumma = Strtran(m.cSumma, '7e', ' ')
cSumma = Strtran(m.cSumma, '8e', ' ')
cSumma = Strtran(m.cSumma, '9e', ' ')

cSumma = Strtran(m.cSumma, '1e~', '  ')
cSumma = Strtran(m.cSumma, '2e~', '  ')
cSumma = Strtran(m.cSumma, '3e~', '  ')
cSumma = Strtran(m.cSumma, '4e~', '  ')
cSumma = Strtran(m.cSumma, '1et', '  ')
cSumma = Strtran(m.cSumma, '2et', '  ')
cSumma = Strtran(m.cSumma, '3et', '  ')
cSumma = Strtran(m.cSumma, '4et', '  ')
cSumma = Strtran(m.cSumma, '1em', '  ')
cSumma = Strtran(m.cSumma, '2em', '  ')
cSumma = Strtran(m.cSumma, '3em', '  ')
cSumma = Strtran(m.cSumma, '4em', '  ')
cSumma = Strtran(m.cSumma, '1eM', '  ')
cSumma = Strtran(m.cSumma, '2eM', '  ')
cSumma = Strtran(m.cSumma, '3eM', '  ')
cSumma = Strtran(m.cSumma, '4eM', '  ')
cSumma = Strtran(m.cSumma, '1eT', '  ')
cSumma = Strtran(m.cSumma, '2eT', '  ')
cSumma = Strtran(m.cSumma, '3eT', '  ')
cSumma = Strtran(m.cSumma, '4eT', '  ')

cSumma = Strtran(m.cSumma, '11k', '11 ')
cSumma = Strtran(m.cSumma, '12k', '12 ')
cSumma = Strtran(m.cSumma, '1k', '1 ')
cSumma = Strtran(m.cSumma, '2k', '2 ')

cSumma = Strtran(m.cSumma, '0e', Iif(nSumma>1 Or nMode=1,'',' '))
cSumma = Strtran(m.cSumma, '~', Iif(nMode=1,'',' '))
cSumma = Strtran(m.cSumma, ' 00',Iif(Inlist(nMode,2,4),""," 00"))
cSumma = Strtran(m.cSumma, ' 00',Iif(nMode=3," ="," 00"))

cSumma = Strtran(m.cSumma, 't', ' ')
cSumma = Strtran(m.cSumma, 'm', ' ')
cSumma = Strtran(m.cSumma, 'M', ' ')
cSumma = Strtran(m.cSumma, 'T', ' ')
cSumma = Strtran(m.cSumma, 'k', ' ')

Return Upper(Left(m.cSumma,1))+Substr(m.cSumma,2)
**************************** End Of NTOC Function ************************

*:********************************************************************
*:
*: Procedure : IsShift
*:
*:********************************************************************
Procedure IsShift			&& Is SHIFT key pressed
Return GetKeyState(0x10)<0

*:********************************************************************
*:
*: Procedure : IsCtrl
*:
*:********************************************************************
Procedure IsCtrl			&& Is CTRL key pressed
Return GetKeyState(0x11)<0

*:********************************************************************
*:
*: Procedure : IsAlt
*:
*:********************************************************************
Procedure IsAlt				&& Is ALT key pressed
Return GetKeyState(0x12)<0

*:********************************************************************
*:
*: Procedure : Char
*:
*:********************************************************************
Procedure Char( m.var )
Return Vartype(m.var)='C'

*:********************************************************************
*:
*: Procedure : GetMainObj
*:
*:********************************************************************
Procedure GetMainObj
*
*     
*   SYS(1272)    Parent  
*
*   .. 1999
* 23.04.1999 23:56
*
Lparameter m.ObjRef
If Vartype(m.ObjRef)#'O'
	Return .Null.
Endif
Local m.Obj
m.Obj=m.ObjRef
Do While Type('m.Obj.PARENT')='O'
	m.Obj=m.Obj.Parent
Enddo
Return m.Obj

m.nPoints=Occurs('.',Sys(1272,m.ObjRef))
If m.nPoints > 0
	m.Obj=m.ObjRef
	For i=1 To m.nPoints
		m.Obj=m.Obj.Parent
	Next
	Return (m.Obj)
Endif
Return .Null.


*:********************************************************************
*:
*: Procedure : GetFolder
*:
*:********************************************************************
Procedure GetFolder( m.cDir, m.cDescr, m.nWhat)
Local m.ret
m.cDir=Full(Iif(Empty(m.cDir),'.',m.cDir))
m.cDescr=Iif(Empty(m.cDescr),'',m.cDescr)
m.nWhat=Iif(Empty(m.nWhat),1,m.nWhat)
m.ret=Getdir(m.cDir, m.cDescr,"",m.nWhat)
If Not Empty(m.ret)
	m.ret=Path(m.ret)
Endif
Return m.ret

*:********************************************************************
*:
*: Procedure : GetFileEx
*:
*:********************************************************************
Procedure GetFileEx( m.File, m.FileFilter, m.FormTitle)
Local m.path, m.oldpath, m.ret
If Empty(m.FileFilter)
	m.FileFilter=Justext(m.File)
Endif
m.oldpath=Full("")
m.path=Justpath(Full(m.File))
If Directory(m.path)
	Set Defa To (m.path)
Endif
m.ret=Getfile(m.FileFilter,"","",0,Iif(Empty(m.FormTitle),"",m.FormTitle))
Set Defa To (m.oldpath)
If Not Empty(m.ret) And Vartype(_reg.Script)=T_OBJECT
	m.ret=Path(m.ret)
Endif
Return m.ret


* HideAllToolbars.PRG ***********************************
* --- Visual FoxPro Tips
* Close all system toolbars
* Visual FoxPro only
*
*********************************************************
*:********************************************************************
*:
*: Procedure : HideAllToolbars
*:
*:********************************************************************
Procedure HideAllToolbars
Local lnCnt,lnTB
lnTB=12
*    1 - ,  2 - 

Dimension gaTbsets[lnTB]

gaTbsets[1]="Color Palette"
gaTbsets[2]="Database Designer"
gaTbsets[3]="Form Controls"
gaTbsets[4]="Form Designer"
gaTbsets[5]="Layout"
gaTbsets[6]="Print Preview"
gaTbsets[7]="Query Designer"
gaTbsets[8]="Report Controls"
gaTbsets[9]="Report Designer"
gaTbsets[10]="Standard"
gaTbsets[11]="View Designer"
gaTbsets[12]="Debugger"

For lnCnt=1 To lnTB
	If Wexist(gaTbsets[lnCnt,1])
		Hide Window (gaTbsets[lnCnt,1])
	Endif
Endfor

*:********************************************************************
*:
*: Procedure : ShowAllToolBars
*:
*:********************************************************************
Procedure ShowAllToolBars
Return .T.

*:********************************************************************
*:
*: Procedure : WordVal
*:
*:********************************************************************
Procedure WordVal(m.cString, m.nNum, m.cDelimiters )
************************************************************
Return Val(GetWordNum(m.cString, m.nNum, m.cDelimiters ))

*:********************************************************************
*:
*: Procedure : ShortName
*:
*:********************************************************************
Procedure ShortName( m.cStr )
Local w1,w2,w3

w1=GetWordNum(m.cStr,1,' .,')
w2=GetWordNum(m.cStr,2,' .,')
w3=GetWordNum(m.cStr,3,' .,')

Return w1+" "+;
	iif(Empty(w2),'',Left(w2,1)+'.')+;
	iif(Empty(w3),'',Left(w3,1)+'.')

*:********************************************************************
*:
*: Procedure : GoRec
*:
*:********************************************************************
Procedure GoRec ( m.nRecord, m.cAlias )
If Empty(m.cAlias)
	m.cAlias=Alias()
Endif
If Not Empty(m.cAlias) And Used(m.cAlias)
	If Between( m.nRecord, 1, Reccount(m.cAlias))
		Go (m.nRecord) In (m.cAlias)
	Endif
Endif

*:********************************************************************
*:
*: Procedure : ReadKeyParm
*:
*:********************************************************************
Procedure ReadKeyParm ( m.tcKey, m.tcParm )
* Return  key value from parm string
* example ReadKeyParm("I",m.tcParmStr)
* return word immediatly after -i or /i prefix word
*
If Not Empty(m.tcParm)
	Local i, k, tc, tk
	tk=Upper(m.tcKey)
	
	k=Getwordcount(m.tcParm,' ,;')
	For i=1 To k
		tc=Getwordnum(m.tcParm,i,' ,;')
		If Inlist(Upper(Left(tc,2)),'-'+tk,'/'+tk)
			Return Substr(tc,3)
		Endif
	Next
Endif
Return ""


*:********************************************************************
*:
*: Procedure : JumpTo
*:
*:********************************************************************
Procedure JumpTo(oObj,cSource)
If Vartype(oObj.Form)='O'
	Local m.Obj
	m.Obj=RefByControlSource(oObj.Form,'Thisform.Record.'+cSource)
	If Vartype(m.Obj)='O'
		m.Obj.SetFocus
		Return .T.
	Endif
Endif
Return .F.

*:********************************************************************
*:
*: Procedure : RefByControlSource
*:
*:********************************************************************
Procedure RefByControlSource
*
*        ControlSource
* 24.12.1999 00:48
*
Lparameter m.oForm, m.cControlSource
If Vartype(m.oForm)#'O'
	Return .Null.
Endif
If Vartype(m.cControlSource)#'C' Or Empty(m.cControlSource)
	Return .Null.
Endif
Private m.cSource
m.cSource=Upper(m.cControlSource)

Return RefBy(m.oForm)

*:********************************************************************
*:
*: Procedure : RefBy
*:
*:********************************************************************
Procedure RefBy( m.oObject)
Local o, v

With m.oObject
	If PEMStatus(oObject,'ControlSource',5)
		If Upper(.ControlSource)=m.cSource
			Return (oObject)
		Endif
	Endif
	Do Case
	Case .BaseClass='Form'
		For Each v In .Controls
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Case .BaseClass='CommandGroup'
		For Each v In .Buttons
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Case .BaseClass='OptionGroup'
		For Each v In .Buttons
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Case .BaseClass='Grid'
		For Each v In .Columns
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Case .BaseClass='Column'
		For Each v In .Controls
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Case .BaseClass='PageFrame'
		For Each v In .Pages
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Case .BaseClass='Page'
		For Each v In .Objects
			o=RefBy(v)
			If Not Isnull(o)
				Return (o)
			Endif
		Next
	Endcase
Endwith
Return .Null.

*:********************************************************************
*:
*: Procedure : LookAround
*:
*:********************************************************************
Procedure LookAround
* Look Around all the objects in memory
* for executing specified methods or events
* of all or any classes
*
* Currenly root from oJack
* It procedure can update to search root object
* and start notification from ROOT object
* if it i used lately ...
*
* Recursive call procedure
*
*  Piva, 1999
* 04.10.1999 22:59
*
* ( Cool Tool )
* (such as kernel operation expansion)
*
#Define _ROOT_OBJECT		_Screen

Parameter m.cProc, m.cClass
Private m.cProc, m.cName, m.cClass
m.cName=Getwordnum(m.cProc,1,"[]()")
If m.cName=m.cProc
	* Procedure Name correction if we don't passed braces
	* This possibility also allows to send parameters or drop them
	
	m.cProc=m.cProc+'()'
Endif

Do Look With (_ROOT_OBJECT)

#undefine _ROOT_OBJECT

*:********************************************************************
*:
*: Procedure : Look
*:
*:********************************************************************
Procedure Look( Obj)
If PEMStatus(Obj,m.cName,5) ;
		and Inlist(PEMStatus(Obj,m.cName,3),'Event','Method') ;
		and Iif(!Empty(m.cClass) And Upper(Obj.Class)==Upper(m.cClass),.T.,.F.)
	
	*      PEM
	*  PEM   
	*    ,    
	*  ?
	
	=Eval('obj.'+m.cProc )
	
Endif

Local tmp[1], i, k
k=Amembers(tmp,Obj,2)
For i=1 To k
	If Not Empty(m.cClass)
		If tmp[i].Class=m.cClass
			Do Look With tmp[i]
		Endif
	Else
		Do Look With tmp[i]
	Endif
Next

*:********************************************************************
*:
*: Procedure : RWCursor
*:
*:********************************************************************
Procedure RWCursor( m.alias )
Local m.new
m.alias=Iif(Empty(m.alias),Alias(),m.alias)
If Used (m.alias)
	m.dbf=Dbf(m.alias)
	If '.TMP' $ m.dbf
		m.new=Sys(2015)
		Use (m.dbf) Again Alias (m.new) In 0
		Use In (m.alias)
		Use (m.dbf) Again Alias (m.alias)
		Use In (m.new)
	Endif
	Select (m.alias)
Endif

*:********************************************************************
*:
*: Procedure : FreeBar
*:
*:********************************************************************
Procedure FreeBar( m.cPopupName )
Local i,k,m
m=-1
If Popup(m.cPopupName)
	For i=1 To Cntbar(m.cPopupName)
		k=Getbar(m.cPopupName,i)
		m=Max(k,m)
	Next
Endif
Return m+1

*:********************************************************************
*:
*: Procedure : Nothing
*:
*:********************************************************************
Procedure Nothing

*:********************************************************************
*:
*: Procedure : toStr
*:
*:********************************************************************
Procedure ToStr
Lparameter m.xValue
Local m.type
m.type=Vartype(m.xValue)
Do Case
Case Inlist(m.type,'C','M')
	Return m.xValue
Case m.type='D'
	Return Dtoc(m.xValue)
Case m.type='T'
	Return Ttoc(m.xValue)
Case Inlist(m.type,'N','B','F')
	Return Iif(Mod(m.xValue,1)=0,Ltrim(Tran(m.xValue,'99999999999999')),Ltrim(Tran(m.xValue,'99999999999.999')))
Case m.type='I'
	Return Ltrim(Str(m.xValue,20))
Case m.type='L'
	Return Iif(m.xValue,'ON','OFF')
Other
	Return Ltrim(Tran(m.xValue,''))
Endcase

*:********************************************************************
*:
*: Procedure : LongDate
*:
*:********************************************************************
Procedure LongDate
*******************************************************
* m.DataType -  
*	0 - , , 
* 	1 - , 
*	2 - 
*	3 -  , , , 
*
*    TRAN(DATE(),'@YL')
*
*******************************************************
Lparameter m.Date, m.DataType
If PCOUNT()=0
	m.Date=Date()
	m.DataType=0
Endif
If Vartype(m.Date)='N'
	m.DataType=m.Date
	m.Date=Date()
Endif
If Empty(m.Date)
	m.Date=Date()
	Return ""
Endif
m.DataType=Iif(Type('m.DataType')#'N',0,m.DataType)
Do Case
Case m.DataType=0
	Return DateFormat(m.Date,"d MMMM yyyy .")
Case m.DataType=1
	Return DateFormat(m.Date,"MMMM yyyy .")
Case m.DataType=2
	Return DateFormat(m.Date,"yyyy")
Case m.DataType=3
	Return DateFormat(m.Date,"dddd, dd MMMM yyyy .")
Case m.DataType=4
	Return DateFormat(m.Date,"MMMM")
Case m.DataType=5
	Return DateFormat(m.Date,"MMMM")
Case m.DataType=6
	Return DateFormat(m.Date,"dddd")
Case m.DataType=7 And Vartype(m.Date)='T'
	Return DateFormat(m.Date,"dddd, dd MMMM yyyy . ")+Ttoc(m.Date,2)
Endcase
Return Dtoc(m.Date)

*:********************************************************************
*:
*: Procedure : DateFormat
*:
*:********************************************************************
Procedure DateFormat(m.Date, m.cFormat)
If Empty(m.Date)
	Return ""
	*	m.date=DATE()
Endif
If Empty(m.cFormat)
	m.cFormat='dd.MM.yyyy'
Endif

Local Struct, buf, l
Struct=;
	(SWord(Year(m.Date));
	+SWord(Month(m.Date));
	+SWord(1);
	+SWord(Day(m.Date));
	+SWord(0);
	+SWord(0);
	+SWord(0);
	+SWord(0);
	+SWord(0);
	)

buf=Repl(Chr(0),128)
l=GetDateFormat(1049,0,Struct,m.cFormat,@buf,Len(buf))
If l > 1
	Return Left(buf,l-1)
Endif
Return ""


*:********************************************************************
*:
*: Procedure : SWord
*:
*:********************************************************************
Procedure SWord( m.Int )
* Single Word causu Fox BitToC is a wrong byte order
Return Chr(Mod(m.Int,256))+Chr(Int(m.Int/256))


*:********************************************************************
*:
*: Procedure : GetMonth
*:
*:********************************************************************
Procedure GetMonth
Lparameter m.MonthNum, m.type
Do Case
Case m.MonthNum=1
	Return ''+Iif(m.type,'','')
Case m.MonthNum=2
	Return ''+Iif(m.type,'','')
Case m.MonthNum=3
	Return ""+Iif(m.type,'','')
Case m.MonthNum=4
	Return ""+Iif(m.type,'','')
Case m.MonthNum=5
	Return ""+Iif(m.type,'','')
Case m.MonthNum=6
	Return ""+Iif(m.type,'','')
Case m.MonthNum=7
	Return ""+Iif(m.type,'','')
Case m.MonthNum=8
	Return ""+Iif(m.type,'','')
Case m.MonthNum=9
	Return ""+Iif(m.type,'','')
Case m.MonthNum=10
	Return ""+Iif(m.type,'','')
Case m.MonthNum=11
	Return ""+Iif(m.type,'','')
Case m.MonthNum=12
	Return ""+Iif(m.type,'','')
Endcase
Return ""

*:********************************************************************
*:
*: Procedure : GetWeek
*:
*:********************************************************************
Procedure GetWeek
Lparameter m.WeekDay
Do Case
Case m.WeekDay=2
	Return ""
Case m.WeekDay=3
	Return ""
Case m.WeekDay=4
	Return ""
Case m.WeekDay=5
	Return ""
Case m.WeekDay=6
	Return ""
Case m.WeekDay=7
	Return ""
Case m.WeekDay=1
	Return ""
Endcase
Return ""

*:********************************************************************
*:
*: Procedure : ReadMemo
*:
*:********************************************************************
Procedure ReadMemo( m.str, m.memo, m.delimiter)
Local m.ret, m.line
If Empty(m.str)
	Return ""
Endif
m.ret=""
If Empty(m.delimiter)
	m.delimiter='='
Endif
m.line=Atcline(m.str+m.delimiter,m.memo)
If m.line > 0
	m.ret=Substr(Mline(m.memo,m.line),Len(m.str+m.delimiter)+1)
Endif
Return m.ret

*:********************************************************************
*:
*: Procedure : WordNumEx
*:
*:********************************************************************
Procedure WordNumEx( m.cString, m.nNum, m.cDelimiters )
#Define c_Sep   Chr(1)
#Define c_Sep2  Chr(1)+Chr(1)

If Vartype(m.cDelimiters)#'C'
	m.cDelimiters=" "
Endif
If Empty(m.cString)
	Return ""
Endif
If Empty(m.nNum)
	Return ""
Endif

Local i,j,s
s=Chrtran(c_Sep+m.cString+c_Sep,m.cDelimiters,c_Sep)        && Convert all DELIMITER to SEPARATOR
m.nNum=m.nNum+1                                             && Cause added TWO Separator - increace word number
i=Atc(c_Sep,s,m.nNum-1)+1                                   && Position of word start
j=Atc(c_Sep,s,m.nNum)                                       && Position of word end
Return Substr(s,i,j-i)


*:********************************************************************
*:
*: Procedure : WordsEx
*:
*:********************************************************************
Procedure WordsEx( m.cString, m.cDelimiters )
#Define c_Sep   Chr(1)
#Define c_Sep2  Chr(1)+Chr(1)

If Type('m.cDelimiters')#'C'
	m.cDelimiters=" "
Endif
If Empty(m.cString)
	Return 0
Endif
Local s
s=Chrtran(c_Sep+m.cString+c_Sep,m.cDelimiters,c_Sep)        && Convert delimiters to SEPARATOR
Return Occurs(c_Sep,s)-1                                        && Return Number of separators and one more

*** Direct access to image resource file
*** I need this

*:********************************************************************
*:
*: Procedure : Icon
*:
*:********************************************************************
Procedure Icon( Objref, cIconFile )
If File(IMAGE_APP)
	Do (IMAGE_APP) With Objref, 'ICON',cIconFile
Else
	Obj.Icon=cIconFile
Endif

*:********************************************************************
*:
*: Procedure : Picture
*:
*:********************************************************************
Procedure Picture( Objref, cImageFile, nIndex )
If File(IMAGE_APP)
	Do (IMAGE_APP) With Objref, 'PICTURE',cImageFile, nIndex
Else
	If Vartype(nIndex)='N'
		Objref.Picture[nIndex]=cImageFile
	Else
		Objref.Picture=cImageFile
	Endif
Endif

*:********************************************************************
*:
*: Procedure : HookDebugPopup
*:
*:********************************************************************
Procedure HookDebugPopup
Define Bar 1 Of _Mprog Prompt 'Memo usage :'+Tran(Val(Sys(1016)),'### ### ###')
Return .F.


*:********************************************************************
*:
*: Procedure : ReUse
*:
*:********************************************************************
Procedure ReUse( m.alias )
Use (Addbs(_TABLES)+m.alias) In Select(m.alias) Alias (m.alias)

*:********************************************************************
*:
*: Procedure : ENG
*:
*:********************************************************************
Procedure ENG
If Right(Transform(GetLayout(),'@0'),4) # '0409'
	Declare Integer LoadKeyboardLayout In Win32Api String, Integer
	Return LoadKeyboardLayout("00000409",1)
EndIf
Return GetLayout()

*:********************************************************************
*:
*: Procedure : RUS
*:
*:********************************************************************
Procedure RUS
If Right(Transform(GetLayout(),'@0'),4) # '0419'
	Declare Integer LoadKeyboardLayout In Win32Api String, Integer
	Return LoadKeyboardLayout("00000419",1)
EndIf
Return GetLayout()

Procedure RestoreLayout(HKL)
Declare Integer ActivateKeyboardLayout In Win32Api Integer, Integer
Return ActivateKeyboardLayout(HKL,2)

Procedure GetLayout
Declare Integer GetKeyboardLayout In Win32Api Integer
Return GetKeyboardLayout(0)


*:********************************************************************
*:
*: Procedure : ChkVal
*:
*:********************************************************************
Procedure ChkVal(m.str)
If Vartype(m.str)="C"
	Return Val(Sys(2007,m.str))
Endif
If Vartype(m.str)="N"
	Return Val(Sys(2007,Transform(m.str,"@0")))
Endif
Return 0

*:********************************************************************
*:
*: Procedure : TextTo
*:
*:********************************************************************
Procedure TextTo(m.cFileName)
Local x
x=Fcreate(m.cFileName)
If x < 0
	Return .F.
Endif
_Text=x

*:********************************************************************
*:
*: Procedure : TextOff
*:
*:********************************************************************
Procedure TextOff
If _Text > 0
	Fclose(_Text)
	_Text=-1
Endif

*:********************************************************************
*:
*: Procedure : WriteText
*:
*:********************************************************************
Procedure WriteText
Lparameter ;
	m.p1;
	,m.p2;
	,m.p3;
	,m.p4;
	,m.p5;
	,m.p6;
	,m.p7;
	,m.p8;
	,m.p9;
	,m.p10;
	,m.p11;
	,m.p12;
	,m.p13;
	,m.p14;
	,m.p15;
	,m.p16;
	,m.p17;
	,m.p18;
	,m.p19;
	,m.p20

If _Text < 1
	Return .F.
Endif

Local m.__i, m.__pcount
m.__pcount=PCOUNT()

For m.__i=1 To m.__pcount
	Fwrite(_Text,Eval('m.p'+Ltrim(Str(m.__i))))
Next


*:********************************************************************
*:
*: Procedure : CompareDir
*:
*:********************************************************************
Procedure CompareDir( m.Dir1, m.Dir2)
* Return .t. if two folders are the same
Return Full(Addbs(m.Dir1))==Full(Addbs(m.Dir2))

*:********************************************************************
*:
*: Procedure : Mkdir
*:
*:********************************************************************
Procedure Mkdir(m.dir )
If Not Directory(m.dir)
	Local m.onerr, nErr
	onerr=On("ERROR")
	On Error Store Error() To nErr
	Mkdir (m.dir)
	On Error &onerr
	If nErr > 0
		Messagebox('   "'+m.dir+'".',48,_Screen.Caption)
		Return .F.
	Endif
Endif

*:********************************************************************
*:
*: Procedure : TableName
*:
*:********************************************************************
Procedure TableName(m.alias)
LOCAL lcTableName
lcTableName=m.Alias
If Indbc(m.alias,"TABLE")
	lcTableName=DBGetProp(m.alias,"TABLE","Comment")
Endif
Return Iif(Empty(lcTableName),m.Alias,lcTableName)

*:********************************************************************
*:
*: Procedure : Path
*:
*:********************************************************************
Procedure Path( m.dir,lMinPath )
If Not Empty(lMinPath)
	m.dir=Sys(2014,m.dir)
Endif
Local tmp[1],i,k,m.ret,m.word
* Cause bug of current dir on default drive
m.ret=Getwordnum(m.dir,1,'/\')
If Right(m.ret,1)=":"
	k=2
Else
	k=1
	m.ret=""
Endif
For i=k To Getwordcount(m.dir,'/\')
	m.word=Getwordnum(m.dir,i,'/\')
	If Adir(tmp,Addbs(m.ret)+m.word,'D',1)>0
		m.ret=Addbs(m.ret)+tmp[1]
	Else
		m.ret=Addbs(m.ret)+m.word
	Endif
Next
Return m.ret

*:********************************************************************
*:
*: Procedure : Hex
*:
*:********************************************************************
Procedure Hex(nNumber)
Return Transform(nNumber,'@0')

*:********************************************************************
*:
*: Procedure : FoxelRow
*:
*:********************************************************************
Procedure FoxelRow(oForm,Y)
Return Y/Fontmetric(1,oForm.FontName,oForm.FontSize)

*:********************************************************************
*:
*: Procedure : FoxelCol
*:
*:********************************************************************
Procedure FoxelCol(oForm,x)
Return x/Fontmetric(6,oForm.FontName,oForm.FontSize)

Procedure MyText(m.cText,m.cDelimiter)
m.cDelimiter=Iif(Empty(m.cDelimiter),"~",m.cDelimiter)
Return Strtran(m.cText,m.cDelimiter,CRLF)
*: End of common.prg

Procedure B2C(m.Val,m.Len)
local i, m.Ret
m.Len=Iif(Empty(m.Len),4,m.Len)
m.Ret=""
do while m.Val # 0
	m.Ret=m.Ret+Chr(Mod(m.Val,256))
	m.Val=BitRShift(m.Val,8)
enddo
Return iif(empty(m.Len),m.Ret,Padr(m.Ret,m.Len,chr(0)))

Procedure C2B( m.str)
Local n, i
n=0
For i=Len(m.str) to 1 step -1
    n=BitLshift(n,8)+Asc(Substr(m.str,i,1))
Next
Return n

Procedure DWORD(m.val)
Return B2C(m.Val,4)

Procedure Aspect(m.obj)
*           _ASPECT
*        
* DO ASPECT with THISFORM
*  _ASPECT    
*  ""   .   GetDeviceCaps - 120/120
* .  120/96=1.25
*       800/600=1.25
*      .  . 
*     
*
*   .. 2003, piva@acmetelecom.ru
* 16:10, , 12  2003 .

If _ASPECT=1
	* Nothing to do
	Return .T.
EndIf

Local o
If Vartype(obj)='O'
	With obj
		If Obj.BaseClass='Form'
			*     ,   
			.FontSize=.FontSize*_ASPECT
			.Width=.Width*_ASPECT
			.Height=.Height*_ASPECT
		EndIf
		For each o in .Controls
			If PemStatus(o,'FontSize',5)
				o.FontSize=o.FontSize*_ASPECT
			EndIf
			If PemStatus(o,'Top',5) and not o.BaseClass='Form'
				o.Top=o.Top*_ASPECT
			EndIf
			If PemStatus(o,'Left',5) and not o.BaseClass='Form'
				o.Left=o.Left*_ASPECT
			EndIf
			If PemStatus(o,'Width',5)
				o.Width=o.Width*_ASPECT
			EndIf
			If PemStatus(o,'Height',5)
				o.Height=o.Height*_ASPECT
			EndIf
			If o.BaseClass='OleControl' and Type('o.Font')="O"
				o.Font.Size=o.Font.Size*_ASPECT
			EndIf
			If PemStatus(o,'Controls',5)
				*  
				DO aspect with (o)
			EndIf
			* page frame always the standalone
			If o.BaseClass="PageFrame"
				Local p
				For each p in o.Pages
					DO aspect with p
				Next
			EndIf
			If o.BaseClass="Grid"
				Local p
				For each p in o.Columns
					DO aspect with p
				Next
			EndIf
			If o.BaseClass="CommandGroup" or o.BaseClass="OptionGroup"
				Local p
				For each p in o.Buttons
					DO aspect with p
				Next
			EndIf
		Next
	EndWith
	If Obj.BaseClass='Form' and Obj.AutoCenter=.T.
		*   AutoCenter  
		Obj.AutoCenter=.T.
	EndIf
EndIf

