*      
*
* RegENUM
*

#include reg.h

lParameters m.aDim, m.cParam, m.lValue
* m.lValue    Keys  Values

DECLARE Integer RegOpenKey IN Win32API ;
		Integer nHKey, String @cSubKey, Integer @nResult

DECLARE Integer RegCloseKey IN Win32API ;
		Integer nHKey

DECLARE Integer RegEnumKeyEx IN Win32API ;
		Integer nHKey,Integer iSubKey, String @lpszName, Integer @cchName,;
		Integer dwReserved,String @lpszName, Integer @cchName,String @cchName

DECLARE Integer RegEnumValue IN Win32API ;
		Integer hKey, Integer iValue, String @lpszValue, ;
		Integer @lpcchValue, Integer lpdwReserved, Integer @lpdwType, ;
		String @lpbData, Integer @lpcbData


Local nKey,cKey,cDeired, ntype, buf, buflen, ret, cString, nErrCode, KeyIndex, cRetTime,;
	nKeySize, cNewKey

m.lValue=not Empty(m.lValue)
nKey=0
cKey=Substr(m.cParam,1,At('\',m.cParam)-1)
Ret=0
do case
Case cKey='HKCR'
	nKey=HKEY_CURRENT_ROOT
Case cKey='HKCU'
	nKey=HKEY_CURRENT_USER
Case cKey='HKLM'
	nKey=HKEY_LOCAL_MACHINE
Case cKey='HKU'
	nKey=HKEY_USERS
Case cKey='HKCC'
	nKey=HKEY_CURRENT_CONFIG
Otherwise
	Return Ret
EndCase
cString=Substr(m.cParam,Len(cKey)+2)
hKey=0
If RegOpenKey( nKey, @cString, @hKey ) = ERROR_SUCCESS
	cValue=""
Else
	cValue=SubStr(cString,Rat('\',cString)+1)
	cString=Substr(cString,1,Rat('\',cString)-1)
	If RegOpenKey( nKey, @cString, @hKey ) # ERROR_SUCCESS
		Return Ret
	endif
endif

If m.lValue		&& ENUM Values

	LOCAL lpszValue,lpcchValue,lpdwReserved
	LOCAL lpdwType,lpbData,lpcbData
	LOCAL nErrCode,nKeyEntry,lArrayPassed

	STORE 0 TO nKeyEntry

	DO WHILE .T.

		STORE 0 TO lpdwReserved,lpdwType,nErrCode
		STORE SPACE(256) TO lpbData, lpszValue
		STORE LEN(lpbData) TO m.lpcchValue
		STORE LEN(lpszValue) TO m.lpcbData

		nErrCode=RegEnumValue(hKey,m.nKeyEntry,@lpszValue,;
			@lpcchValue,m.lpdwReserved,@lpdwType,@lpbData,@lpcbData)

		DO CASE
		CASE m.nErrCode = ERROR_EOF
			EXIT
		CASE m.nErrCode # ERROR_SUCCESS
			EXIT
		ENDCASE

		nKeyEntry = m.nKeyEntry + 1

		* Set array values
		DIMENSION aDim[m.nKeyEntry,3]
		aDim[m.nKeyEntry,1] = LEFT(m.lpszValue,m.lpcchValue)
		DO CASE
		CASE lpdwType = REG_SZ
			aDim[m.nKeyEntry,2] = LEFT(m.lpbData,m.lpcbData-1)
		CASE lpdwType = REG_BINARY	&& Same as String
			aDim[m.nKeyEntry,2] = LEFT(m.lpbData,m.lpcbData-1)
		CASE lpdwType = REG_DWORD
			aDim[m.nKeyEntry,2] = C2B(LEFT(m.lpbData,m.lpcbData-1))
		OTHERWISE
			aDim[m.nKeyEntry,2] = REG_UNKNOWN_LOC
		ENDCASE
		aDim[m.nKeyEntry,3] = lpdwType

	ENDDO
	Ret=m.nKeyEntry
Else
	KeyIndex=0
	do while .t.

		nKeySize = 0
		cNewKey = SPACE(100)
		nKeySize = LEN(m.cNewKey)
		cbuf=space(100)
		nbuflen=len(m.cbuf)
		cRetTime=space(100)

		m.nErr = RegEnumKeyEx(hKey,m.KeyIndex,@cNewKey,@nKeySize,0,@cbuf,@nbuflen,@cRetTime)

		If m.nErr # 0
			Exit
		endif

		KeyIndex = KeyIndex + 1 

		cNewKey = ALLTRIM(m.cNewKey)
		cNewKey = LEFT(m.cNewKey,LEN(m.cNewKey)-1)
		DIMENSION aDim[KeyIndex]
		aDim[KeyIndex] = m.cNewKey

	EndDo
	Ret=m.KeyIndex
EndIf

RegCloseKey(hKey)

Return Ret

Procedure C2B
lparameter m.str
local i, m.ret
m.ret=0
for i=len(m.str) to 1 step -1
    m.ret=BitLShift(m.ret,8)+Asc(SubStr(m.str,i,1))
next
Return int(m.ret)
